Subject: [PATCH] Move runtime check for recent giflib to compile time

From: Stefan Kangas <[email-masked]>
Date: Fri, 29 Oct 2021 07:42:56 -0700

Severity: wishlist

I'm looking into some bugs in how we handle gifs, and I see that we
check for GIFLIB_MAJOR at runtime.  Is there any reason not to do it at
compile-time as in the attached patch?

I expect that GCC is smart enough to see that "5 < 4" is always false
and optimize this all away, and probably also won't include unused
static variables, so maybe this doesn't matter.  But I think it's nice
to be a bit more explicit, and I guess it can't hurt to see warnings if
anyone tries using interlace_start and interlace_increment outside of
their intended use.